org.eclipse.rdf4j.query.algebra

## Class AggregateOperatorBase

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.UnaryValueOperator
    - - org.eclipse.rdf4j.query.algebra.AbstractAggregateOperator
      - - org.eclipse.rdf4j.query.algebra.AggregateOperatorBase

- All Implemented Interfaces:
    Serializable, Cloneable, AggregateOperator, GraphPatternGroupable, QueryModelNode, ValueExpr, VariableScopeChange

  Deprecated.
  since 2.0. Use `AbstractAggregateOperator` instead.

      @Deprecated
      public abstract class AggregateOperatorBase
      extends AbstractAggregateOperator

  Author:
    Jeen Broekstra
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.UnaryValueOperator

      `arg`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AggregateOperatorBase(ValueExpr arg)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractAggregateOperator

      `clone, hashCode, isDistinct, setDistinct`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.UnaryValueOperator

      `equals, getArg, replaceChildNode, setArg, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `equals, getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString, visit, visitChildren`

- - ### Constructor Detail

    - #### AggregateOperatorBase

          protected AggregateOperatorBase(ValueExpr arg)

      Deprecated.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.